http://iotsitewise.{region}.amazonaws.com/projects/{projectId}/assets/associateAssociates a group (batch) of assets with an IoT SiteWise Monitor project.
The ID of the project to which to associate the assets.
The IDs of the assets to be associated to the project.
A unique case-sensitive identifier that you can provide to ensure the idempotency of the request. Don't reuse this client token if a new idempotent request is required.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://iotsitewise.{region}.amazonaws.com/projects/{projectId}/assets/associate' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://iotsitewise.{region}.amazonaws.com/projects/{projectId}/assets/associateAssociates a group (batch) of assets with an IoT SiteWise Monitor project.
The ID of the project to which to associate the assets.
The IDs of the assets to be associated to the project.
A unique case-sensitive identifier that you can provide to ensure the idempotency of the request. Don't reuse this client token if a new idempotent request is required.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://iotsitewise.{region}.amazonaws.com/projects/{projectId}/assets/associate' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}